Bug 177357 - kswapd caused kernel oops when shrinking dcache
kswapd caused kernel oops when shrinking dcache
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
: Reopened
: 177122 224134 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-01-09 19:35 EST by Jim King
Modified: 2010-06-07 00:47 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-07 00:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
console log from january crash (6.02 KB, text/plain)
2006-01-09 19:38 EST, Jim King
no flags Details
console log from december crash (3.40 KB, text/plain)
2006-01-09 19:38 EST, Jim King
no flags Details

  None (edit)
Description Jim King 2006-01-09 19:35:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.8) Gecko/20050427 Camino/0.8.4

Description of problem:
About once every month, we get a kernel oops in kswapd0. All stacks show the problem being somewhere in shrinking the dcache. Two console logs from 2 different events included as attachments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Let RHEL4 fileserver run for over a month

Additional info:
Comment 1 Jim King 2006-01-09 19:38:06 EST
Created attachment 122978 [details]
console log from january crash
Comment 2 Jim King 2006-01-09 19:38:36 EST
Created attachment 122979 [details]
console log from december crash
Comment 4 Jason Baron 2006-01-16 22:09:36 EST
There has been some discussion of this issue on lkml, please see:

Comment 5 Bill Hoover 2006-04-19 09:43:37 EDT
I seem to also just have had a recent rash of these.  Has there been any
progress at all?  Is there anything in the updated kernel in U3 that is expected
to address this issue?
Comment 6 Jason Baron 2006-04-19 10:09:21 EDT
hi Bill,

Yes we are aware that this is a hot issue and we are actively persuing a fix.
No, U3 does not fix this issue. I'm marking this as a duplicate of bug #173843.


Comment 7 Jason Baron 2006-04-19 10:10:31 EDT

*** This bug has been marked as a duplicate of 173843 ***
Comment 8 Daniel J Blueman 2007-01-25 06:35:19 EST
The bug this has been marked a duplicate of, is another and separate issue;
there has been no unmounting in the case I've been seeing (matching other
reports here), so shrink_dcache_parent() is not being called from kill_super()
on unmount.

Since this is with post-U4 2.6.9-42.0.3, it is after the "[fix] committed in
stream U4 build 35.1", above, and I am not seeing the 'busy-inodes on unmount'
message either, and the fix for the bug this is marked as a duplicate of is
present, yet I'm still seeing the crash.

I'm hitting this kswapd->prune_dcache bug quite frequently - around once a week,
on a few machines under constant load and high memory pressure.

Configuration is stock RHEL4 U4 + latest errata 2.6.9-42.0.3, dual-SMP, x86-64,
4GB memory

Crash signature is:

__down_read_trylock+18      prune_dcache+568
shrink_dcache_memory+20     shrink_slab+188
balance_pgdat+538           kswapd+252
autoremove_wake_function+0  autoremove_wake_function+0
child_rip+8                 kswapd+0

RIP: _spin_lock_irqsave+40

Can this be reopened please, to preserve the reports from other users?

Let me know if getting a crash-dump and making it available to someone would help.
Comment 9 Daniel J Blueman 2007-01-25 06:41:21 EST
Bug 224134 is a duplicate of this:
Comment 10 Jason Baron 2007-02-05 16:58:11 EST
*** Bug 224134 has been marked as a duplicate of this bug. ***
Comment 11 Need Real Name 2007-03-01 08:58:56 EST
I too am seeing this on machines running the 42.0.2 kernel. Any progress on this
in terms of patches to test?
Comment 12 Daniel J Blueman 2007-03-01 09:06:28 EST
It would be a good data-point to establish if the newer kernels suffer the same

Comment 17 RHEL Product and Program Management 2007-05-09 06:59:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 18 Aaron Straus 2007-06-19 14:45:23 EDT
*** Bug 177122 has been marked as a duplicate of this bug. ***
Comment 19 RHEL Product and Program Management 2007-09-07 15:46:19 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 21 Chris Hollowell 2007-10-11 16:27:10 EDT
Would it be possible to get a test patch posted here before release?
Comment 23 Larry Woodman 2007-11-02 13:13:09 EDT
Can someone who can reproduce this problem see if it can still happens with
RHEL4-U6?  If it does crash, please get a dump, I hav never been able to 
reproduce this problem internally.

Larry Woodman

Note You need to log in before you can comment on or make changes to this bug.